Loading...
Searching...
No Matches
dolfin::LocalMeshValueCollection< T > Class Template Reference

`#include <LocalMeshValueCollection.h>`

## Public Member Functions

| LocalMeshValueCollection (MPI_Comm comm, const MeshValueCollection< T > &values, std::size_t dim)
| Create local mesh data for given LocalMeshValueCollection.
| ~LocalMeshValueCollection ()
| Destructor.
std::size_t | dim () const
| Return dimension of cell entity.
const std::vector< std::pair< std::pair< std::size_t, std::size_t >, T > > & | values () const
| Return data.

## Detailed Description

template<typename T>
class dolfin::LocalMeshValueCollection< T >

This class stores mesh data on a local processor corresponding to a portion of a MeshValueCollection.

The documentation for this class was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/LocalMeshValueCollection.h